$palette: (
  light: (
    primary: (
      50: #e1d1f5,
      100: #cfbee9,
      200: #b692ec,
      300: #9072dd,
      400: #6641cf,
      500: rgb(135, 113, 231),
      600: #533e8c,
      700: #342664,
      800: #281943,
      900: #2a1052,
      main: rgb(101, 72, 235),
      light: #bbb3db,
      dark: #2e1354,
      contrastText: #ffffff,
    ),
    secondary: (
      50: #ffffff,
      100: #ffffff,
      200: #ce9ff2,
      300: #9d40e6,
      400: #a98be1,
      500: #2a0944,
      600: #220736,
      700: #190529,
      800: #11041b,
      900: #08020e,
      main: #200944,
      light: #9d40e6,
      dark: #190529,
      contrastText: #000,
    ),
    success: (
      50: #e9fbf0,
      100: #c6f6d9,
      200: #9aefbc,
      300: #6ae79c,
      400: #3ee07f,
      500: #21cc66,
      600: #1db45a,
      700: #1aa251,
      800: #178d46,
      900: #0f5c2e,
      main: #1aa251,
      light: #6ae79c,
      dark: #1aa251,
      contrastText: #fff,
    ),
    error: (
      50: #f6e6eb,
      100: #e2b0c0,
      200: #d48aa2,
      300: #c15578,
      400: #b5345d,
      500: #a20135,
      600: #930130,
      700: #730126,
      800: #59011d,
      900: #440016,
      main: #a20135,
      light: #c15578,
      dark: #730126,
      contrastText: #fff,
    ),
    warning: (
      50: #fff9eb,
      100: #fff3c1,
      200: #ffeca1,
      300: #ffdc48,
      400: #f4c000,
      500: #dea500,
      600: #e7b157,
      700: #ab6800,
      800: #8c5800,
      900: #5a3600,
      main: #dea500,
      light: #ffdc48,
      dark: #ab6800,
      contrastText: rgba(0, 0, 0, 0.87),
    ),
    info: (
      50: #e1f5fe,
      100: #b3e5fc,
      200: #81d4fa,
      300: #4fc3f7,
      400: #29b6f6,
      500: #03a9f4,
      600: #039be5,
      700: #0288d1,
      800: #0277bd,
      900: #01579b,
      main: #0288d1,
      light: #03a9f4,
      dark: #01579b,
      contrastText: #fff,
    ),
    divider: (
      default: #ebebeb,
    ),
  ),
  dark: (
    primary: (
      50: #f0f7ff,
      100: #c2e0ff,
      200: #99ccf3,
      300: #66b2ff,
      400: #3399ff,
      500: #007fff,
      600: #0072e5,
      700: #0059b2,
      800: #004c99,
      900: #003a75,
      contrastText: rgba(0, 0, 0, 0.87),
      dark: #0059b2,
      light: #66b2ff,
      main: #3399ff,
    ),
    secondary: (
      50: #f3e5f5,
      100: #e1bee7,
      200: #ce93d8,
      300: #ba68c8,
      400: #ab47bc,
      500: #9c27b0,
      600: #8e24aa,
      700: #7b1fa2,
      800: #6a1b9a,
      900: #4a148c,
      main: #ce93d8,
      light: #f3e5f5,
      dark: #ab47bc,
      contrastText: rgba(0, 0, 0, 0.87),
    ),
    success: (
      50: #e9fbf0,
      100: #c6f6d9,
      200: #9aefbc,
      300: #6ae79c,
      400: #3ee07f,
      500: #21cc66,
      600: #1db45a,
      700: #1aa251,
      800: #178d46,
      900: #0f5c2e,
      main: #1db45a,
      light: #6ae79c,
      dark: #1aa251,
      contrastText: rgba(0, 0, 0, 0.87),
    ),
    error: (
      50: #f6e6eb,
      100: #e2b0c0,
      200: #d48aa2,
      300: #c15578,
      400: #b5345d,
      500: #a20135,
      600: #930130,
      700: #730126,
      800: #59011d,
      900: #440016,
      main: #a20135,
      light: #c15578,
      dark: #730126,
      contrastText: rgba(0, 0, 0, 0.87),
    ),
    warning: (
      50: #fff9eb,
      100: #fff3c1,
      200: #ffeca1,
      300: #ffdc48,
      400: #f4c000,
      500: #dea500,
      600: #e7b157,
      700: #ab6800,
      800: #8c5800,
      900: #5a3600,
      main: #dea500,
      light: #ffdc48,
      dark: #ab6800,
      contrastText: rgba(0, 0, 0, 0.87),
    ),
    info: (
      50: #e1f5fe,
      100: #b3e5fc,
      200: #81d4fa,
      300: #4fc3f7,
      400: #29b6f6,
      500: #03a9f4,
      600: #039be5,
      700: #0288d1,
      800: #0277bd,
      900: #01579b,
      main: #29b6f6,
      light: #4fc3f7,
      dark: #0288d1,
      contrastText: rgba(0, 0, 0, 0.87),
    ),
    divider: (
      default: rgba(194, 224, 255, 0.08),
    ),
  ),
);

$text: (
  light: (
    50: #e9e9ea,
    100: #bbbbbd,
    200: #9a9b9d,
    300: #6c6d70,
    400: #505154,
    500: #242529,
    600: #212225,
    700: #1a1a1d,
    800: #141417,
    900: #0f1011,
    main: #242529,
    light: #6c6d70,
    dark: #1a1a1d,
    contrastText: #fff,
    ////////////////////////////
    background: #f4f4f4,
    primary: #333333,
    secondary: #333333,
    active: rgba(0, 0, 0, 1),
    hover: rgba(0, 0, 0, 0.87),
    disabled: #ebebeb,
    focus: rgba(0, 0, 0, 0.87),
    selected: #f4f4f4cc,
  ),
  dark: (
    background: #f4f4f4,
    primary: #242529,
    secondary: rgba(255, 255, 255, 0.7),
    active: rgba(255, 255, 255, 1),
    hover: rgba(255, 255, 255, 0.87),
    disabled: rgba(255, 255, 255, 0.38),
    focus: rgba(255, 255, 255, 0.87),
    selected: #f4f4f4cc,
  ),
);

$background: (
  light: (
    default: #ffffff,
    surface: #f2f2f2,
    selected: #45a29e,
    light: #f7f5ef,
  ),
  dark: (
    default: #f4f4f4,
    surface: #0a1929,
    selected: #a10035,
  ),
);

